env:
   LIBS:
       - MPlantCore
   LIBPATHS:
       - ../MPlant/bin
   INCPATHS:
       - ../MPlant/core/include

includes:
    - <MLogger.h>

tests:
    - name: Logger-001
      desc: MLogger
      test:
           - MLogger logger = MLogger::RootLogger();
           - logger.SetName("Root");
           - logger.SetLogLevel(MLogLevel::Debug);
           - logger.AddDefaultDestination();
           - logger.AddDestination("out.log", "%d [%p] %N - %m");
           - logger.Debug("This is a debug message");
           - logger.Trace("This is a trace message");
           - logger.Inform("This is an info message");
           - logger.Warn("This is a warning message");
           - logger.Error("This is an error message");
           - pass = true;

cleanup:
    - rm out.log
